How to Install and Check Required rpms for Oracle 12c on Linux 7

Required packages list you can get it Here
Install Command:
yum install binutils \
compat-libcap1 \
gcc \
gcc-c++ \
glibc \

glibc-common \
glibc-devel \
glibc-headers \
ksh \
libaio \
libaio-devel \
libgcc \
libstdc++ \
libstdc++-devel \
libXi \
libXtst \
make \
sysstat

Verification Command:
rpm -q --qf '%{NAME}-%{VERSION}-%{RELEASE} (%{ARCH})\n' binutils \
compat-libcap1 \
gcc \
gcc-c++ \
glibc \
glibc-common \
glibc-devel \
glibc-headers \
ksh \
libaio \
libaio-devel \
libgcc \
libstdc++ \
libstdc++-devel \
libXi \
libXtst \
make \
sysstat

Example
Installation
yum install binutils \
>compat-libcap1 \
>gcc \
>gcc-c++ \
>glibc \
>glibc-common \
>glibc-devel \
>glibc-headers \
>ksh \
>libaio \
>libaio-devel \
>libgcc \
>libstdc++ \
>libstdc++-devel \
>libXi \
>libXtst \
> make \
>sysstat
Loaded plugins: product-id, protectbase, rhnplugin, search-disabled-repos, subscription-manager, verify
This system is receiving updates from RHN Classic or Red Hat Satellite.
0 packages excluded due to repository protections
Package binutils-2.23.52.0.1-55.el7.x86_64 already installed and latest version
Package compat-libcap1-1.10-7.el7.x86_64 already installed and latest version
Package glibc-2.17-106.el7_2.4.x86_64 already installed and latest version
Package glibc-common-2.17-106.el7_2.4.x86_64 already installed and latest version
Package ksh-20120801-22.el7_1.3.x86_64 already installed and latest version
Package libaio-0.3.109-13.el7.x86_64 already installed and latest version
Package libgcc-4.8.5-4.el7.x86_64 already installed and latest version
Package libstdc++-4.8.5-4.el7.x86_64 already installed and latest version
Package libXi-1.7.4-2.el7.x86_64 already installed and latest version
Package libXtst-1.2.2-2.1.el7.x86_64 already installed and latest version
Package 1:make-3.82-21.el7.x86_64 already installed and latest version
Package sysstat-10.1.5-7.el7.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package gcc.x86_64 0:4.8.5-4.el7 will be installed
--> Processing Dependency: cpp = 4.8.5-4.el7 for package: gcc-4.8.5-4.el7.x86_64
--> Processing Dependency: libmpfr.so.4()(64bit) for package: gcc-4.8.5-4.el7.x86_64
--> Processing Dependency: libmpc.so.3()(64bit) for package: gcc-4.8.5-4.el7.x86_64
---> Package gcc-c++.x86_64 0:4.8.5-4.el7 will be installed
---> Package glibc-devel.x86_64 0:2.17-106.el7_2.4 will be installed
---> Package glibc-headers.x86_64 0:2.17-106.el7_2.4 will be installed
---> Package libaio-devel.x86_64 0:0.3.109-13.el7 will be installed
---> Package libstdc++-devel.x86_64 0:4.8.5-4.el7 will be installed
--> Running transaction check
---> Package cpp.x86_64 0:4.8.5-4.el7 will be installed
---> Package libmpc.x86_64 0:1.0.1-3.el7 will be installed
---> Package mpfr.x86_64 0:3.1.1-4.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=================================================================
 Package                          Arch                    Version                              Repository                                         Size
=================================================================
Installing:
gcc                              x86_64                  4.8.5-4.el7                          rit-2016-q2-rhel-x86_64-server-7                   16 M
gcc-c++                          x86_64                  4.8.5-4.el7                          rit-2016-q2-rhel-x86_64-server-7                  7.2 M
glibc-devel                      x86_64                  2.17-106.el7_2.4                     rit-2016-q2-rhel-x86_64-server-7                  1.0 M
glibc-headers                    x86_64                  2.17-106.el7_2.4                     rit-2016-q2-rhel-x86_64-server-7                  662 k
libaio-devel                     x86_64                  0.3.109-13.el7                       rit-2016-q2-rhel-x86_64-server-7                   13 k
libstdc++-devel                  x86_64                  4.8.5-4.el7                          rit-2016-q2-rhel-x86_64-server-7                  1.5 M
Installing for dependencies:
cpp                              x86_64                  4.8.5-4.el7                          rit-2016-q2-rhel-x86_64-server-7                  5.9 M
libmpc                           x86_64                  1.0.1-3.el7                          rit-2016-q2-rhel-x86_64-server-7                   51 k
mpfr                             x86_64                  3.1.1-4.el7                          rit-2016-q2-rhel-x86_64-server-7                  203 k

Transaction Summary
=================================================================
Install  6 Packages (+3 Dependent packages)

Total download size: 33 M
Installed size: 81 M
Is this ok [y/d/N]: y
Downloading packages:
(1/9): cpp-4.8.5-4.el7.x86_64.rpm                                                                                               | 5.9 MB  00:00:00
(2/9): gcc-4.8.5-4.el7.x86_64.rpm                                                                                               |  16 MB  00:00:00
(3/9): gcc-c++-4.8.5-4.el7.x86_64.rpm                                                                                           | 7.2 MB  00:00:00
(4/9): glibc-devel-2.17-106.el7_2.4.x86_64.rpm                                                                                  | 1.0 MB  00:00:00
(5/9): glibc-headers-2.17-106.el7_2.4.x86_64.rpm                                                                                | 662 kB  00:00:00
(6/9): libaio-devel-0.3.109-13.el7.x86_64.rpm                                                                                   |  13 kB  00:00:00
(7/9): libmpc-1.0.1-3.el7.x86_64.rpm                                                                                            |  51 kB  00:00:00
(8/9): libstdc++-devel-4.8.5-4.el7.x86_64.rpm                                                                                   | 1.5 MB  00:00:00
(9/9): mpfr-3.1.1-4.el7.x86_64.rpm                                                                                              | 203 kB  00:00:00
-------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                   15 MB/s |  33 MB  00:00:02
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Installing : mpfr-3.1.1-4.el7.x86_64                                                                                                             1/9
Installing : libmpc-1.0.1-3.el7.x86_64                                                                                                           2/9
Installing : cpp-4.8.5-4.el7.x86_64                                                                                                              3/9
Installing : glibc-headers-2.17-106.el7_2.4.x86_64                                                                                               4/9
Installing : glibc-devel-2.17-106.el7_2.4.x86_64                                                                                                 5/9
Installing : gcc-4.8.5-4.el7.x86_64                                                                                                              6/9
Installing :libstdc++-devel-4.8.5-4.el7.x86_64                                                                                                  7/9
Installing :gcc-c++-4.8.5-4.el7.x86_64                                                                                                          8/9
Installing : libaio-devel-0.3.109-13.el7.x86_64                                                                                                  9/9
Verifying  :gcc-c++-4.8.5-4.el7.x86_64                                                                                                          1/9
Verifying  :libstdc++-devel-4.8.5-4.el7.x86_64                                                                                                  2/9
Verifying  : gcc-4.8.5-4.el7.x86_64                                                                                                              3/9
Verifying  : cpp-4.8.5-4.el7.x86_64                                                                                                              4/9
Verifying  : mpfr-3.1.1-4.el7.x86_64                                                                                                             5/9
Verifying  : libaio-devel-0.3.109-13.el7.x86_64                                                                                                  6/9
Verifying  : libmpc-1.0.1-3.el7.x86_64                                                                                                           7/9
Verifying  : glibc-headers-2.17-106.el7_2.4.x86_64                                                                                               8/9
Verifying  : glibc-devel-2.17-106.el7_2.4.x86_64                                                                                                 9/9

Installed:
  gcc.x86_64 0:4.8.5-4.el7                           gcc-c++.x86_64 0:4.8.5-4.el7                    glibc-devel.x86_64 0:2.17-106.el7_2.4
glibc-headers.x86_64 0:2.17-106.el7_2.4            libaio-devel.x86_64 0:0.3.109-13.el7            libstdc++-devel.x86_64 0:4.8.5-4.el7

Dependency Installed:
  cpp.x86_64 0:4.8.5-4.el7                        libmpc.x86_64 0:1.0.1-3.el7                        mpfr.x86_64 0:3.1.1-4.el7

Complete!
[root ~]##
Verification command.
[root ~]## rpm -q --qf '%{NAME}-%{VERSION}-%{RELEASE} (%{ARCH})\n' binutils \
>compat-libcap1 \
>gcc \
>gcc-c++ \
>glibc \
>glibc-common \
>glibc-devel \
>glibc-headers \
>ksh \
>libaio \
>libaio-devel \
>libgcc \
>libstdc++ \
>libstdc++-devel \
>libXi \
>libXtst \
> make \
>sysstat
binutils-2.23.52.0.1-55.el7 (x86_64)
compat-libcap1-1.10-7.el7 (x86_64)
gcc-4.8.5-4.el7 (x86_64)
gcc-c++-4.8.5-4.el7 (x86_64)
glibc-2.17-106.el7_2.4 (x86_64)
glibc-common-2.17-106.el7_2.4 (x86_64)
glibc-devel-2.17-106.el7_2.4 (x86_64)
glibc-headers-2.17-106.el7_2.4 (x86_64)
ksh-20120801-22.el7_1.3 (x86_64)
libaio-0.3.109-13.el7 (x86_64)
libaio-devel-0.3.109-13.el7 (x86_64)
libgcc-4.8.5-4.el7 (x86_64)
libstdc++-4.8.5-4.el7 (x86_64)
libstdc++-devel-4.8.5-4.el7 (x86_64)
libXi-1.7.4-2.el7 (x86_64)
libXtst-1.2.2-2.1.el7 (x86_64)
make-3.82-21.el7 (x86_64)
sysstat-10.1.5-7.el7 (x86_64)

[root ~]##
DBA Tips Data Pump Reference

0 comments:

Post a Comment

 

dba topics. Copyright 2011-16 All Rights Reserved | Site Map | Contact | Disclaimer | Google